Download it now!
Bug 134390 - Error with Row and Column fields in Calc's Navigator dialog at LO 7 (regression from 6.4.4.2).
Summary: Error with Row and Column fields in Calc's Navigator dialog at LO 7 (regressi...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-06-29 12:25 UTC by Steve Fanning
Modified: 2020-07-08 14:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Fanning 2020-06-29 12:25:29 UTC
Calc’s Navigator dislog doesn’t appear to be working correctly in LO 7.

My setup:
Version: 7.0.0.0.beta2 (x64)
Build ID: 1c213561a365b5666167321de68c9977500c9612
CPU threads: 6; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: en-GB (en_GB); UI: en-US
Calc: threaded

Steps to reproduce:
(1) Open Calc
(2) Select View > Navigator or press F5.
(3) Calc opens the Navigator dialog.
(4) Left-click on cell A1 in the underlying sheet.
(5) Type C into the Column field of the Navigator dialog.
(6) Type 3 into the Row field of the Navigator dialog.
(7) Press the Enter key.

Expected result is for cell C3 to become selected (as in LO 6.4.4.2). Actual result is A2 selected, which is unexpected and incorrect.

A similar problem can be found trying to use the Row and Column fields of the Navigator deck of Calc's Sidebar.
Comment 1 Xisco Faulí 2020-06-29 13:09:28 UTC
Not reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 42bf9bdf3d551eb59604f952204c49f7d7a1e913
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 2 Xisco Faulí 2020-06-29 13:10:07 UTC
but reproduced with gen
Comment 3 Xisco Faulí 2020-06-29 13:19:18 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=5325ce6a3c791bd4a5ee6e71f95a403562ca811c

author	Caolán McNamara <caolanm@redhat.com>	2020-02-26 12:17:45 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2020-02-28 16:16:24 +0100
commit	5325ce6a3c791bd4a5ee6e71f95a403562ca811c (patch)
tree	6ba582c0887875ceb039b617d1b9344801b2c69c
parent	6a3e04abd653cb86550b911b62ca54e2942f957a (diff)
weld calc navigator

Bisected with: bibisect-linux64-7.0

Adding Cc: to Caolán McNamara
Comment 4 Caolán McNamara 2020-06-30 11:12:55 UTC
fixed in master and 7-0 with https://cgit.freedesktop.org/libreoffice/core/commit/?id=d828da851efa8e243a940f3eceefc39c6c735f9b
Comment 5 Commit Notification 2020-06-30 12:21:30 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fac0288099ef7acabafa214a47ed0ec342414bae

Related: tdf#134390 allow entry "activate" for gen spinbutton

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-06-30 12:21:48 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d828da851efa8e243a940f3eceefc39c6c735f9b

tdf#134390 update spin button before processing activate signal

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-06-30 12:39:58 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/db8f2b30fe56bfde46c3dac0dad6661cb7464b4a

tdf#134390 update spin button before processing activate signal

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-06-30 19:01:18 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d73c266552c2bd814a273312d724b9097580d41a

tdf#134390: sc: Add UItest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2020-07-08 14:53:56 UTC
UITest added. Setting to VERIFIED